Opened 3 months ago

Closed 3 months ago

#15180 closed bug (invalid)

[Pootle] Critical error: Python brace placeholders

Reported by: diver Owned by: nielx
Priority: normal Milestone:
Component: Website/Pootle Version:
Keywords: Cc:
Blocked By: Blocking:
Has a Patch: no Platform: All

Description

Pootle doesn't let me save translation with braces. it says: Critical error: Python brace placeholders

Unit: http://i18n.haiku-os.org/pootle/ru/haiku/translate/apps/haikudepot/ru.catkeys#unit=458146

Source: {0, plural,one{1 package to download}other{# packages to download}}
Current translation: {0, plural, one{осталось скачать 1 пакет} few{осталось скачать # пакета} other{осталось скачать# пакетов}}

Change History (1)

comment:1 by nielx, 3 months ago

Resolution: invalid
Status: newclosed

Some of Pootle's checks warn even in case the check is invalid. A well-known one is an XML error when there are tags that look like XML, or in this case, a warning about Python braces. If you know that the check is invalid, you can ignore it by clicking on the red circle next to the error, in order to mute the error. You can then save your work.

Note: See TracTickets for help on using tickets.